Subject: Re: sed question
From: [email-masked] (Earnie Boyd)

14 Jan 1999 20:39:05 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Charles Wilson <[email-masked]>, Doug Carter <[email-masked]>
Cc: [email-masked]

Hey Doug,

Don't you just hate mis-information.  I hope you're not doing anything
rash like changing your mount modes.  Your main problem is that you
need a full understanding of "text mode processing" vs. "binary mode
processing".  The FAQ contains an excerpt from me on this, read it. 
If you need more help I'd be happy to give it.

Hey Charles,

The script Doug has is trying to add the ^M to the end of each line.

---Charles Wilson <[email-masked]> wrote:
>
> Doug Carter wrote:
> 
> > I'm having some trouble running a sed script with gun-win32.
> >
> > I have a script that converts text files from unix to dos:
> >
> > sed 's/$/^M/g' infile > outfile
> >
> > This command works fine on unix, but it doesn't work in dos.
> >
> > Can anyone enlighten me?
> >
> > TIA,
> >
> > Doug Carter
> 
> Well, this script will only work under cygwin if you are using a
binary
> mount. If you're using a text mount, then cygwin1.dll will remove
the ^M's
> from infile before sed ever sees it, so the script has no effect.
Then, when
> sed writes the unchanged file back to outfile, cygwin1.dll will add
the ^M's
> back to the  file on its way to the disk.
> 
> -Chuck
> 
> 
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-                        \\||//
-------------------o0O0--Earnie--0O0o-------------------
--                [email-masked]               --
-- http://www.freeyellow.com/members5/gw32/index.html --
----------------------ooo0O--O0ooo----------------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".